# Type Alias SearchQuery

type SearchQuery = {
category?: string;
facetCategories?: boolean;
facets?: SearchFacetModel[];
filters?: SearchQueryFilterModel[];
format?: FormatList;
keywords?: string;
limit?: number;
options?: SearchQueryOption;
page?: number;
sort?: SearchQuerySortModel;
}

- Defined in jamespot-user-api/src/types/search.ts:257

##### Index

### Properties

category?
facetCategories?
facets?
filters?
format?
keywords?
limit?
options?
page?
sort?

## Properties

### `Optional` category

category?: string

- Defined in jamespot-user-api/src/types/search.ts:259

### `Optional` facetCategories

facetCategories?: boolean

- Defined in jamespot-user-api/src/types/search.ts:260

### `Optional` facets

facets?: SearchFacetModel[]

- Defined in jamespot-user-api/src/types/search.ts:262

### `Optional` filters

filters?: SearchQueryFilterModel[]

- Defined in jamespot-user-api/src/types/search.ts:261

### `Optional` format

format?: FormatList

- Defined in jamespot-user-api/src/types/search.ts:267

### `Optional` keywords

keywords?: string

- Defined in jamespot-user-api/src/types/search.ts:258

### `Optional` limit

limit?: number

- Defined in jamespot-user-api/src/types/search.ts:264

### `Optional` options

options?: SearchQueryOption

- Defined in jamespot-user-api/src/types/search.ts:266

### `Optional` page

page?: number

- Defined in jamespot-user-api/src/types/search.ts:263

### `Optional` sort

sort?: SearchQuerySortModel

- Defined in jamespot-user-api/src/types/search.ts:265